import http from "@/utils/request"
export default {
    index: {
        get: async function() {
            return await http.get('/system/index');
        }
    },
    table: {
        get: async function(name = '') {
            return await http.get('/table/get', {
                name
            }, {cache:true});
        },
        getUpdate: async function(name = '', data=[]) {
            return await http.post('/table/getUpdate', {name:name}, data);
        },
        columnSettingSave: async function(name = '', column=[]) {
            return await http.post('/table/columnSettingSave', {name:name, column:column});
        }
    },
}